Bug 144979 - USB probs. with external harddisks
USB probs. with external harddisks
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 06:08 EST by Bert DeKnuydt
Modified: 2015-01-04 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:09:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bert DeKnuydt 2005-01-13 06:08:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:

2.6.10-1.727_FC3 and 2.6.10-1.737_FC3 report the following when
a Lacie Bigger Disk is attached (tested on several machines)
Both smp and non-smp.

usb 1-8: khubd timed out on ep0in
usb 1-8: device descriptor read/64, error -110
usb 1-8: new high speed USB device using ehci_hcd and address 4
usb 1-8: khubd timed out on ep0in
usb 1-8: device descriptor read/64, error -110
usb 1-8: khubd timed out on ep0in
usb 1-8: device descriptor read/64, error -110

And from then on, USB is not responsive.

With 2.6.9-1.681_FC3s it works perfectly.

USB Flash disks work ok though with the 2.6.10* kernels.


Version-Release number of selected component (if applicable):
2.6.10-1.737_FC3

How reproducible:
Always

Steps to Reproduce:
1. Install 2.6.10-1.737_FC3
2. Attach a LaCie Bigger Disk USB disk
3. Look at dmsg output
    

Actual Results:  
USB system unresponsive.

Expected Results:  
Disk recognized and mounted as before.

Additional info:


Google reports some similar probs with 2.6.10 kernels from other
vendors...
Comment 1 Chris Mutlow 2005-05-06 10:26:05 EDT
I am having exactly the same problem with this Lacie disk, so have had to 
remain on 2.6.9-1.681_FC3. All later FC3 kernels have the reported problem.

It would be good to have a fix otherwise I my workmates will finally persuade 
me to move to SuSe where this works! 
Comment 2 Dave Jones 2005-05-10 17:16:55 EDT
Still causing problems with the errata kernel at
http://people.redhat.com/davej/kernels/Fedora/FC3 ?
Comment 3 Chris Mutlow 2005-05-11 04:14:27 EDT
OK, I have tried the test kernel and it is exactly the same in this regard as
all the kernels after 2.6.9-1.681_FC3 - i.e. it give the erro reported by Bert.

The work around (thanks Bert) is to switch back to firewire as this (although
previously broken) now appears to work in the latest Fedora kernels.

We have around 10 or more of these Lacie disks so this is a big deal for us.
Comment 4 Dave Jones 2005-07-15 15:30:50 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 20:09:20 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.